Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class NavigatorFrameSource

    java.lang.Object
      org.eclipse.ui.views.framelist.TreeViewerFrameSource
          org.eclipse.ui.views.navigator.NavigatorFrameSource

All Implemented Interfaces:
  IFrameSource

public class NavigatorFrameSource
extends TreeViewerFrameSource

Frame source for the resource navigator.

Field Summary

Fields inherited from interface org.eclipse.ui.views.framelist.IFrameSource
`CURRENT_FRAME, FULL_CONTEXT, PARENT_FRAME, SELECTION_FRAME`

Constructor Summary
`NavigatorFrameSource(ResourceNavigator navigator)` Constructs a new frame source for the specified resource navigator.

Method Summary
`protected TreeFrame` | `createFrame(Object input)` Returns a new frame.
`protected void` | `frameChanged(TreeFrame frame)` Also updates the navigator's title.

Methods inherited from class org.eclipse.ui.views.framelist.TreeViewerFrameSource
`connectTo, getCurrentFrame, getFrame, getParentFrame, getSelectionFrame, getViewer, handlePropertyChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NavigatorFrameSource

    public NavigatorFrameSource(ResourceNavigator navigator)

  Constructs a new frame source for the specified resource navigator.

Parameters:
  `navigator` - the resource navigator

Method Detail

### createFrame

    protected TreeFrame createFrame(Object input)

  Returns a new frame. This implementation extends the super implementation by setting the frame's tool tip text to show the full path for the input element.

  Overrides:
    `createFrame` in class `TreeViewerFrameSource`
  Parameters:
    `input` - the input element
  Returns:
    the tree frame

### frameChanged

    protected void frameChanged(TreeFrame frame)

  Also updates the navigator's title.

  Overrides:
    `frameChanged` in class `TreeViewerFrameSource`
  Parameters:
    `frame` - the new value for the current frame

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.